artisan.settings:
  type: theme_settings
  label: 'Artisan settings'
  mapping:
    vite_dev_host:
      type: string
    vite_dev_port:
      type: integer
    custom:
      type: mapping
      label: 'Custom CSS Variables'
      mapping:
        '[%key]':
          type: string
          label: 'CSS Variable Value'
    customizations:
      type: sequence
      label: 'CSS Customizations'
      sequence:
        type: mapping
        label: 'Customization'
        mapping:
          id:
            type: string
            label: 'Customization ID'
          overrides:
            type: mapping
            label: 'CSS Variable Overrides'
            mapping:
              '[%key]':
                type: sequence
                label: 'CSS Variable override'
                sequence:
                  type: mapping
                  mapping:
                    selector:
                      type: string
                      label: 'CSS Selector'
                    value:
                      type: string
                      label: 'CSS Variable Value'

    fonts:
      type: text
    properties:
      type: text
